Approve provider terms of service
Approves the provider’s terms of service. Must be called once before performing any staking operation with this provider.
POST
/
staking
/
providers
/
{providerId}
/
approveTermsOfService
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.staking.approveTermsOfServiceByProviderId(stakingApiApproveTermsOfServiceByProviderIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.staking().approveTermsOfServiceByProviderId(providerId, idempotencyKey);response = fireblocks.staking.approve_terms_of_service_by_provider_id(provider_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/staking/providers/{providerId}/approveTermsOfServiceconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/staking/providers/{providerId}/approveTermsOfService', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Unique identifier of the staking provider. The unique identifier of the staking provider
Available options:
kiln, figment, lido, p2p, blockdaemon, galaxy, pierTwo, kraken Example:
"kiln"
Response
Terms of service accepted.
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.staking.approveTermsOfServiceByProviderId(stakingApiApproveTermsOfServiceByProviderIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.staking().approveTermsOfServiceByProviderId(providerId, idempotencyKey);response = fireblocks.staking.approve_terms_of_service_by_provider_id(provider_id, idempotency_key);